Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.im
Class ToolQueryDefinitionModel

    java.lang.Object
      com.bea.portal.tools.im.ToolQueryDefinitionModel

All Implemented Interfaces
  Serializable

    public class ToolQueryDefinitionModel

extends Object
implements Serializable

The schema for a QueryDefinitionModel does not require that a QueryDefinitionModel have a name. The Portal Admin Tools need a name in order to render the QueryDefinitionModel in a tree. This class wraps the QueryDefinitionModel so that we can associate an array index with it, where the array index comes from the PlaceholderModel that contains the QueryDefinitionModels.

See Also
  Serialized Form

Field Summary
`protected int` | `index`
`protected QueryDefinitionModel` | `model`
`protected boolean` | `modelNameless`
`protected String` | `name`
`protected QueryDefinitionModel.Priority` | `priority`
`static String` | `TEMP_GENERATED_MODEL_NAME_PREFIX`

Constructor Summary
`ToolQueryDefinitionModel(QueryDefinitionModel model, int index)`

Method Summary
`int` | `getIndex()` gets the index of the QueryDefinitionModel.
`QueryDefinitionModel` | `getModel()`
`String` | `getName()`
`QueryDefinitionModel.Priority` | `getPriority()`
`boolean` | `isModelNameless()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMP_GENERATED_MODEL_NAME_PREFIX

    public static final String TEMP_GENERATED_MODEL_NAME_PREFIX

See Also
  Constants Summary

### model

    protected QueryDefinitionModel model

### index

    protected int index

### modelNameless

    protected boolean modelNameless

### name

    protected String name

### priority

    protected QueryDefinitionModel.Priority priority

Constructor Detail

### ToolQueryDefinitionModel

    public ToolQueryDefinitionModel(QueryDefinitionModel model,
                                    int index)

Method Detail

### getModel

    public QueryDefinitionModel getModel()

### getIndex

    public int getIndex()

  gets the index of the QueryDefinitionModel. The index starts with 0 and corresponds to the array position of the QueryDefinitionModel as returned by the parent PlaceholderModel.getQueryDefinitionModels();

  Returns
    the index of the QueryDefinitionModel

### getPriority

    public QueryDefinitionModel.Priority getPriority()

### getName

    public String getName()

### isModelNameless

    public boolean isModelNameless()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.